summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Binh Nguyen <binhnguyen@fastmail.fm>2010-10-17 17:54:28 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-10-17 17:54:28 -0500
commitdedfe358cdb35d3d8705dc42d914b9f6b0a57dff (patch)
tree1bbe69b2d63e81f517815d0d5f3015dff4834c69 /libraries
parent7b751e7eab569ef4ab9a8a97db4cc4d686a05847 (diff)
downloadslackbuilds-dedfe358cdb35d3d8705dc42d914b9f6b0a57dff.tar.gz
slackbuilds-dedfe358cdb35d3d8705dc42d914b9f6b0a57dff.tar.xz
libraries/perl-gnome2-gconf: Added (Gnome2::GConf perl module)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-gnome2-gconf/README3
-rw-r--r--libraries/perl-gnome2-gconf/perl-gnome2-gconf.SlackBuild103
-rw-r--r--libraries/perl-gnome2-gconf/perl-gnome2-gconf.info10
-rw-r--r--libraries/perl-gnome2-gconf/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/libraries/perl-gnome2-gconf/README b/libraries/perl-gnome2-gconf/README
new file mode 100644
index 0000000000..4700816fb7
--- /dev/null
+++ b/libraries/perl-gnome2-gconf/README
@@ -0,0 +1,3 @@
+Perl bindings for GConf.
+
+This requires perl-glib and GConf.
diff --git a/libraries/perl-gnome2-gconf/perl-gnome2-gconf.SlackBuild b/libraries/perl-gnome2-gconf/perl-gnome2-gconf.SlackBuild
new file mode 100644
index 0000000000..2edf5e8c96
--- /dev/null
+++ b/libraries/perl-gnome2-gconf/perl-gnome2-gconf.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for perl-gnome2-gconf
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-gnome2-gconf
+VERSION=${VERSION:-1.044}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=Gnome2-GConf
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ OPTIMIZE="$SLKCFLAGS" \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# Remove perllocal.pod and other special files that don't need to be installed,
+# as they will overwrite what's already on the system
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHOR ChangeLog NEWS README examples/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-gnome2-gconf/perl-gnome2-gconf.info b/libraries/perl-gnome2-gconf/perl-gnome2-gconf.info
new file mode 100644
index 0000000000..deddf1b00c
--- /dev/null
+++ b/libraries/perl-gnome2-gconf/perl-gnome2-gconf.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-gnome2-gconf"
+VERSION="1.044"
+HOMEPAGE="http://search.cpan.org/dist/Gnome2-GConf/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/Gnome2-GConf-1.044.tar.gz"
+MD5SUM="ea386003b18f067524833b0eeb271330"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="rworkman"
diff --git a/libraries/perl-gnome2-gconf/slack-desc b/libraries/perl-gnome2-gconf/slack-desc
new file mode 100644
index 0000000000..e74f76b7af
--- /dev/null
+++ b/libraries/perl-gnome2-gconf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-gnome2-gconf: Gnome2::GConf (perl module)
+perl-gnome2-gconf:
+perl-gnome2-gconf: Perl bindings for GConf.
+perl-gnome2-gconf:
+perl-gnome2-gconf: Homepage: http://search.cpan.org/dist/Gnome2-GConf/
+perl-gnome2-gconf:
+perl-gnome2-gconf:
+perl-gnome2-gconf:
+perl-gnome2-gconf:
+perl-gnome2-gconf:
+perl-gnome2-gconf: